Subject: Re: [PATCH 6/8] Use SLAB_PANIC when creating critical slab cache

From: Chris Wright <[email-masked]>
Date: Sun, 14 Nov 2004 14:51:57 -0800

* Arnaldo Carvalho de Melo ([email-masked]) wrote:
> Chris,
> 
> 	I think somebody proposed this in the past and it was refused
> because we better get rid of the panics and return an error, propagate
> it and refuse to load the module, better have the machine still alive
> but without networking than panic it.

Sounds good too.  Part of my thinking was that these patches would be a
good chance to review if these are necessarily panic conditions.  What was
the plan on error return, since I expect some caches are interdependent?

thanks,
-chris